Bug 208072 - Review Request: brasero - Gnome CD/DVD burning application
Review Request: brasero - Gnome CD/DVD burning application
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-26 05:21 EDT by Denis Leroy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 06:22:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2006-09-26 05:21:24 EDT
(project formerly known as "bonfire")

Spec URL: http://www.poolshark.org/src/brasero.spec
SRPM URL: http://www.poolshark.org/src/brasero-0.4.4-1.src.rpm

Description:
Simple and easy to use CD/DVD burning application for the Gnome
desktop.
Comment 1 Brian Pepple 2006-09-26 09:23:32 EDT
Here's a quick items:

1. Why are you redefining %version?
2. Duplicate BuildRequires: glib2-devel (by gtk2-devel), libxml2-devel (by
libgnome-devel), gnome-vfs2-devel (by libgnome-devel), gtk2-devel (by
libgnomeui-devel), libgnome-devel (by libgnomeui-devel)
Comment 2 Denis Leroy 2006-09-26 10:10:21 EDT
1. *bonk*. fixed
2. fixed.

Spec URL: http://www.poolshark.org/src/brasero.spec
SRPM URL: http://www.poolshark.org/src/brasero-0.4.4-2.src.rpm
Comment 3 Kevin Fenzi 2006-10-02 21:30:14 EDT
Humm. I can't make much from the URL and Source0 links here. 
Do they need to be updated? 

The URL points to a graphic design web site with lots of flash and javascript, 
but no mention of open source software I can see. The Source0 url on 
sourceforge doesn't seem to point to any files... ;( 
Comment 4 Denis Leroy 2006-10-03 05:14:26 EDT
Homepage changes yes thx. Fixed.

http://www.poolshark.org/src/brasero.spec
http://www.poolshark.org/src/brasero-0.4.4-3.src.rpm
Comment 5 Kevin Fenzi 2006-10-03 13:09:55 EDT
ok. That looks much better. ;) 

Look for a full review later today... 
Comment 6 Kevin Fenzi 2006-10-03 13:25:43 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
1ef6ae66677ed9136634692d8bc1cc7a  brasero-0.4.4.tar.bz2
1ef6ae66677ed9136634692d8bc1cc7a  brasero-0.4.4.tar.bz2.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package is a GUI app and has a .desktop file
OK - Package doesn't own any directories other packages own.
OK - No rpmlint output.

SHOULD Items:

OK - Should include License or ask upstream to include it.
OK - Should build in mock.

Issues:

1. 0.4.91 seems to be out but it looks like thats a unstable
testing version (hard to be sure).

No other blockers I can see... this package is APPROVED.

Please remember to close this package NEXTRELEASE once it's  
been imported and built.

Consider reviewing another waiting package to help spread
the reviewing load. :)
Comment 7 Denis Leroy 2006-10-04 06:22:54 EDT
I'll test the unstable release and consider them for upgrades. I'm actually
working on this upstream project at the moment.

Built. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.